openmc(1)

NAME
openmc - Executes the OpenMC Monte Carlo code

DESCRIPTION
This command is used to execute the OpenMC Monte Carlo code. It is assumed that a set of XML input files has already been created and that HDF5 format cross sections are available.

SYNOPSIS
openmc [options] [path]

path specifies either the path to a single model XML file containing the full model or a directory containing either a model.xml file or a set of individual XML files (settings.xml, materials.xml, geometry.xml). It is assumed that if no path is specified, the XML input files are present in the current directory.

OPTIONS

-c, --volume
    Run in stochastic volume calculation mode

-e, --event
    Run using event-based parallelism

-g, --geometry-debug
    Run with geometry debugging turned on, where cell overlaps are checked for after each move of a particle

-p, --plot
    Run in plotting mode

-r binaryFile, --restart binaryFile
    Restart a previous run from a state point or a particle restart file named binaryFile.

-s N, --threads N
    Use N OpenMP threads.

-t, --track
    Write tracks for all particles (up to max_tracks).

-q V, --verbosity V
    Set the output verbosity to V.

-v, --version
    Show version information.

-h, --help
    Show help message.

ENVIRONMENT VARIABLES
The behavior of openmc is affected by the following environment variables.

OPENMC_CHAIN_FILE
    Indicates the path to a depletion chain XML file.

OPENMC_CROSS_SECTIONS
    Indicates the default path to the cross_sections.xml summary file that is used to locate HDF5 format cross section libraries if the user has not specified the <cross_sections> tag in materials.xml.

OPENMC_MG_CROSS_SECTIONS
    Indicates the default path to an HDF5 file that contains multi-group cross section libraries if the user has not specified the <cross_sections> tag in materials.xml.

LICENSE
Copyright © 2011-2026 Massachusetts Institute of Technology, UChicago Argonne LLC, and OpenMC contributors.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

REPORTING BUGS
The OpenMC source code is hosted on GitHub at https://github.com/openmc-dev/openmc. With a github account, you can submit issues directly on the github repository that will then be reviewed by OpenMC developers. Alternatively, you can post a message on the discussion forum at https://openmc.discourse.group.

AUTHOR
Paul K. Romano (paul.k.romano@gmail.com)